import { TemplateElementDependency } from '@genesislcap/foundation-ui';
import { SyntheticViewTemplate } from '@microsoft/fast-element';
/**
 * TemplateComponents.
 * @public
 */
export type TemplateComponents = {
    anchor: TemplateElementDependency;
    button: TemplateElementDependency;
    card: TemplateElementDependency;
    checkbox: TemplateElementDependency;
    listboxOption: TemplateElementDependency;
    provider: TemplateElementDependency;
    router: TemplateElementDependency;
    select: TemplateElementDependency;
    textField: TemplateElementDependency;
    progressRing: TemplateElementDependency;
};
/**
 * TemplateOptions.
 * @public
 */
export type TemplateOptions = Partial<TemplateComponents> & {
    /**
     * @remarks
     * Just for reference that template options may be more than tags.
     * @internal
     */
    somePartial?: string | SyntheticViewTemplate;
};
/**
 * defaultTemplateOptions.
 * @remarks
 * The default template options this MF has been created with.
 * @public
 */
export declare const defaultTemplateOptions: TemplateOptions;
//# sourceMappingURL=templates.d.ts.map