import { APIError } from '@genesislcap/foundation-state-machine';
import type { Nack } from '../entity';
/**
 * NackError.
 *
 * @privateRemarks
 * Is required until http status codes are aligned on backend.
 *
 * @example
 * ```ts
 * NackError.fromEntity(event.output);
 * ```
 *
 * @public
 */
export declare class NackError extends APIError {
    status: number;
    data?: unknown;
    constructor(status: number, data?: unknown, message?: string);
    /**
     * Construct a {@link NackError} from a {@link Nack}
     * @param entity - The Nack.
     */
    static fromEntity(entity: Nack): NackError | null;
}
//# sourceMappingURL=errors.d.ts.map