import { User } from '@genesislcap/foundation-user';
import { Constructable } from '@microsoft/fast-element';
import { Container } from '@microsoft/fast-foundation';
import { RouterConfiguration } from '@microsoft/fast-router';
import { AuthConfig } from '../config/config';
import { AuthRouting } from './routing';
import type { Settings } from './types';
/**
 * Base implementation of a routing used with the Auth class
 *
 * @internal
 */
export declare class AuthRouterConfig extends RouterConfiguration<Settings> {
    private user;
    private container;
    private authConfig;
    private authRouting;
    constructor(user: User, container: Container, authConfig: AuthConfig, authRouting: AuthRouting);
    configure(): void;
    construct<T>(Type: Constructable<T>): T;
}
//# sourceMappingURL=config.d.ts.map