import { CredentialManager } from '../../credential';
import { LoginParams } from '../../machine/types';
import { BaseRoute } from '../base';
/**
 * Login
 *
 * @fires auth-login - Fires a custom 'auth-login' event.
 * @fires auth-logout - Fires a custom 'auth-logout' event.
 * @fires auth-ssoToggled-changed - Fires a custom 'auth-ssoToggled-changed' event.
 * @fires auth-selectedIdp-changed - Fires a custom 'auth-selectedIdp-changed' event.
 * @fires auth-organisation-changed - Fires a custom 'auth-organisation-changed' event.
 * @fires auth-username-changed - Fires a custom 'auth-username-changed' event.
 * @fires auth-password-changed - Fires a custom 'auth-password-changed' event.
 * @fires auth-showPassword-changed - Fires a custom 'auth-showPassword-changed' event.
 *
 * @public
 */
export declare class Login extends BaseRoute {
    credentialManager: CredentialManager;
    connectedCallback(): void;
    private attemptBasicLogin;
    get ssoToggleLabel(): string;
    onSSOLogin(): void;
    onLoginSubmit(): Promise<void>;
    login(params: LoginParams): void;
    logout(): void;
    get submitDisabled(): boolean;
}
//# sourceMappingURL=login.d.ts.map