import type { NavigationPhase } from '@microsoft/fast-router';
import { BaseRoute } from '../base';
import type { Settings } from '../types';
/**
 * ResetPassword
 *
 * @fires auth-reset-password - Fires a custom 'auth-reset-password' event.
 * @fires auth-change-password - Fires a custom 'auth-change-password' event.
 * @fires auth-organisation-changed - Fires a custom 'auth-organisation-changed' event.
 * @fires auth-username-changed - Fires a custom 'auth-username-changed' event.
 * @fires auth-password-changed - Fires a custom 'auth-password-changed' event.
 * @fires auth-password2-changed - Fires a custom 'auth-password2-changed' event.
 * @fires auth-showPassword-changed - Fires a custom 'auth-showPassword-changed' event.
 *
 * @public
 */
export declare class ResetPassword extends BaseRoute {
    hasPasswordExpired: boolean;
    passwordResetToken: string;
    enter(phase: NavigationPhase<Settings>): void;
    onSubmit(): Promise<void>;
    get headingText(): "Change Password" | "You are required to change your password";
}
//# sourceMappingURL=reset-password.d.ts.map