/**
 * Defines the parameters you may set on the routes.
 * @public
 */
export type Settings = {
    /**
     * Controls whether the user has to be logged in to view.
     */
    public?: boolean;
};
/**
 * @public
 */
export declare const AuthRoutes: {
    readonly login: "login";
    readonly logout: "logout";
    readonly 'request-account': "request-account";
    readonly 'reset-password': "reset-password";
    readonly 'forgot-password': "forgot-password";
    readonly verify: "verify";
    readonly protected: "protected";
    readonly 'not-found': "not-found";
};
/**
 * @public
 */
export type AuthRoutes = (typeof AuthRoutes)[keyof typeof AuthRoutes];
//# sourceMappingURL=types.d.ts.map