import { AuthRoutes } from './types';
/**
 * A utility to check if a pathname is a route of this micro frontend.
 *
 * @param pathname - A pathname string to check, typically location.pathname, which is used when a value is omitted.
 *
 * @public
 * @privateRemarks
 * I've just put this util in for now given there's some app level direction code in place which needs review.
 */
export declare function isMFRoute(pathname?: string): boolean;
/**
 * @remarks
 * Uses the `FASTRouter`.
 *
 * @param route - An auth route including query params if required, ie. `reset-password?expired`.
 *
 * @internal
 */
export declare function navigateTo(route: AuthRoutes | string): void;
/**
 * A utility to get a sub route path taking the host path into account.
 *
 * @param route - An auth route.
 * @param hostPath - The host path.
 *
 * @public
 */
export declare function getRoutePath(route: AuthRoutes | string, hostPath?: string): string;
//# sourceMappingURL=utils.d.ts.map