/**
 * It's important this file isn't referenced ahead of a `configure` call, otherwise these values may remain fixed at
 * their defaults. Consumers must use the `/config` subpath to help avoid this. Files with references to tags should be
 * lazily loaded. There is an alternative `getTags` utility at the end which could offer another approach, but direct
 * tag exports and inline template references feel cleaner than having to convert all component `template` and `styles`
 * exports to functions to call `getTags` on execution.
 */
/**
 * @internal
 */
export declare const templateOptions: import("../config/templates").TemplateOptions;
/**
 * @internal
 */
export declare const anchorTag: string;
/**
 * @internal
 */
export declare const buttonTag: string;
/**
 * @internal
 */
export declare const cardTag: string;
/**
 * @internal
 */
export declare const checkboxTag: string;
/**
 * @internal
 */
export declare const listboxOptionTag: string;
/**
 * @internal
 */
export declare const providerTag: string;
/**
 * @internal
 */
export declare const routerTag: string;
/**
 * @internal
 */
export declare const selectTag: string;
/**
 * @internal
 */
export declare const textFieldTag: string;
/**
 * @internal
 */
export declare const progressRingTag: string;
//# sourceMappingURL=tags.d.ts.map