import { html } from '@microsoft/fast-element';
import { cardTag } from '../../tags';
import { backButton, organisationField, submitButton, usernameField } from '../base';
/**
 * ForgotPasswordTemplate
 * @public
 */
export const ForgotPasswordTemplate = html `
  <auth-background>
    <div class="container">
      <${cardTag} class="card-pd">
        <div class="column-content">
          <auth-logo></auth-logo>
          <div class="heading2" data-test-id="heading">${(x) => x.toLocalisedText('FORGOTTEN_PASSWORD_TITLE')}</div>
          <div class="heading3">${(x) => x.toLocalisedText('FORGOTTEN_PASSWORD_SUBTITLE')}</div>
        </div>
        <form @submit=${(x) => x.onSubmit()} data-test-id="form">
          ${organisationField()} ${usernameField()}
          <div class="form-buttons">
            ${(x) => submitButton(x.toLocalisedText('FORGOTTEN_PASSWORD_SUBMIT_BUTTON'))} ${(x) => backButton(() => x.onBack(), x.toLocalisedText('FORGOTTEN_PASSWORD_BACK_BUTTON'))}
          </div>
          <submitting-indicator is-submitting="${(x) => x.store.isPending}"></submitting-indicator>
          <auth-message></auth-message>
        </form>
      </${cardTag}>
    </div>
  </auth-background>
`;
