import { css } from '@microsoft/fast-element';
import { commonStyles } from '../../styles';
/**
 * LogoutStyles
 * @public
 */
export const LoginStyles = css `
  ${commonStyles}
  .link-url {
    width: fit-content;
    height: fit-content;
    margin: auto;
    font-weight: 500;
    font-size: calc(var(--type-ramp-base-font-size) / 4 * var(--design-unit));
    opacity: 80%;
  }

  .link-url:hover {
    opacity: 100%;
  }

  .action-btn {
    margin: calc(var(--design-unit) * 5px) 0;
  }

  .sso {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: stretch;
  }

  .sso .form-title {
    font-size: var(--type-ramp-base-font-size);
    margin-bottom: calc(var(--design-unit) * 2px);
  }

  .links {
    display: flex;
    justify-content: space-between;
    align-content: center;
    align-items: center;
    flex-wrap: wrap;
  }

  .password-links {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-self: flex-start;
  }

  .account-links {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-self: flex-start;
  }

  .case-warning {
    color: #379ec0;
    font-size: 0.83em;
    margin-block-start: 1em;
    margin-block-end: 1em;
  }

  .version {
    width: fit-content;
    font-weight: 500;
    font-size: 10px;
    color: var(--accent-foreground-rest);
    opacity: 80%;
    padding: 1px 0;
    line-height: calc(var(--design-unit) * 6px);
  }
`;
