import { __decorate } from "tslib";
import { customElement } from '@microsoft/fast-element';
import { BaseRoute } from '../base';
import { LogoutStyles as styles } from './logout.styles';
import { LogoutTemplate as template } from './logout.template';
/**
 * Logout
 *
 * @fires auth-logout - Fires a custom 'auth-logout' event.
 *
 * @public
 */
let Logout = class Logout extends BaseRoute {
    connectedCallback() {
        super.connectedCallback();
        this.logout();
    }
    logout() {
        this.$emit('auth-logout');
    }
};
Logout = __decorate([
    customElement({
        name: 'foundation-auth-logout',
        template,
        styles,
    })
], Logout);
export { Logout };
