import { __awaiter, __decorate } from "tslib";
import { Connect } from '@genesislcap/foundation-comms';
import { API_HOST } from '@genesislcap/foundation-utils';
import { customElement } from '@microsoft/fast-element';
import { commonStyles } from '../../styles';
import { logger } from '../../utils';
import { BaseRoute } from '../base';
import { ProtectedTemplate as template } from './protected.template';
/**
 * Protected
 * @internal
 */
let Protected = class Protected extends BaseRoute {
    onLogout() {
        this.routing.navigateTo('logout');
    }
    onOpenSocketTest() {
        this.connect.connect(API_HOST);
    }
    onCloseSocketTest() {
        this.connect.disconnect();
    }
    onSnapshotSocketTest() {
        this.allCounterParties();
    }
    get isSocketOpen() {
        return this.connect.isConnected;
    }
    allCounterParties() {
        return __awaiter(this, void 0, void 0, function* () {
            const allTemporaryCounterparties = yield this.connect.snapshot('ALL_COUNTERPARTYS');
            logger.debug(allTemporaryCounterparties);
        });
    }
};
__decorate([
    Connect
], Protected.prototype, "connect", void 0);
Protected = __decorate([
    customElement({
        name: 'foundation-auth-protected',
        template,
        styles: commonStyles,
    })
], Protected);
export { Protected };
