import { html } from '@microsoft/fast-element';
import { buttonTag } from '../../tags';
/**
 * ProtectedTemplate
 * @internal
 */
export const ProtectedTemplate = html `
  <div class="container">
    <${buttonTag}
      type="button"
      appearance="primary-gradient"
      @click=${(x) => x.onLogout()}
      data-test-id="logout"
    >
      ${(x) => x.toLocalisedText('LOGOUT_BUTTON')}
    </${buttonTag}>
    <${buttonTag}
      type="button"
      @click=${(x) => x.onOpenSocketTest()}
      ?disabled=${(x) => x.isSocketOpen}
      data-test-id="open-socket"
    >
    ${(x) => x.toLocalisedText('OPEN_SOCKET_BUTTON')}
    </${buttonTag}>
    <${buttonTag}
      type="button"
      @click=${(x) => x.onCloseSocketTest()}
      ?disabled=${(x) => !x.isSocketOpen}
      data-test-id="close-socket"
    >
      ${(x) => x.toLocalisedText('CLOSE_SOCKET_BUTTON')}
    </${buttonTag}>
    <${buttonTag}
      type="button"
      @click=${(x) => x.onSnapshotSocketTest()}
      ?disabled=${(x) => !x.isSocketOpen}
      data-test-id="snapshot-socket"
    >
      ${(x) => x.toLocalisedText('SNAPSHOT_SOCKET_BUTTON')}
    </${buttonTag}>
  </div>
`;
