import { __awaiter, __decorate } from "tslib";
import { customElement, observable } from '@microsoft/fast-element';
import { commonStyles } from '../../styles';
import { logger } from '../../utils';
import { BaseRoute } from '../base';
import { RequestAccountTemplate as template } from './request-account.template';
/**
 * RequestAccount
 *
 * @fires auth-organisation-changed - Fires a custom 'auth-organisation-changed' event.
 * @fires auth-username-changed - Fires a custom 'auth-username-changed' event.
 * @fires auth-email-changed - Fires a custom 'auth-email-changed' event.
 * @fires auth-password-changed - Fires a custom 'auth-password-changed' event.
 * @fires auth-password2-changed - Fires a custom 'auth-password2-changed' event.
 *
 * @public
 */
let RequestAccount = class RequestAccount extends BaseRoute {
    constructor() {
        super(...arguments);
        this.termsAgreed = false;
    }
    onSubmit() {
        return __awaiter(this, void 0, void 0, function* () {
            logger.debug('request account submission');
            logger.warn('Request account implementation missing as a spec is required.');
        });
    }
};
__decorate([
    observable
], RequestAccount.prototype, "termsAgreed", void 0);
RequestAccount = __decorate([
    customElement({
        name: 'foundation-auth-request-account',
        template,
        styles: commonStyles,
    })
], RequestAccount);
export { RequestAccount };
