import { sync } from '@genesislcap/foundation-utils';
import { html } from '@microsoft/fast-element';
import { cardTag, checkboxTag } from '../../tags';
import { backButton, emailField, organisationField, password2Field, passwordField, submitButton, usernameField, } from '../base';
/**
 * RequestAccountTemplate
 * @public
 */
export const RequestAccountTemplate = html `
  <auth-background>
    <div class="container">
      <${cardTag} class="card-pd">
        <div class="column-content">
          <auth-logo></auth-logo>
          <div class="heading2" data-test-id="heading">Request Account</div>
        </div>
        <form @submit=${(x) => x.onSubmit()} data-test-id="form">
          ${organisationField()} ${usernameField()} ${emailField()} ${passwordField()}
          ${password2Field('confirmation')}
          <${checkboxTag}
            name="terms"
            :value=${sync((x) => x.termsAgreed, 'boolean')}
            data-test-id="terms"
            :innerHTML="${(x) => x.toLocalisedText('REQUEST_ACCOUNT_TERMS_HTML')}"
          >
          </${checkboxTag}>
          <div class="form-buttons">
            ${(x) => submitButton(x.toLocalisedText('REQUEST_ACCOUNT_SUBMIT_BUTTON'))} ${(x) => backButton(() => x.onBack(), x.toLocalisedText('REQUEST_ACCOUNT_BUTTON_BACK'))}
          </div>
          <submitting-indicator is-submitting="${(x) => x.store.isPending}"></submitting-indicator>
          <auth-message></auth-message>
        </form>
      </${cardTag}>
    </div>
  </auth-background>
`;
