import { html, when } from '@microsoft/fast-element';
import { cardTag } from '../../tags';
import { backButton, organisationField, password2Field, passwordField, showPasswordCheckbox, submitButton, usernameField, } from '../base';
/**
 * ResetPasswordTemplate
 * @public
 */
export const ResetPasswordTemplate = html `
  <auth-background>
    <div class="container">
      <${cardTag} class="card-pd">
        <div class="column-content">
          <auth-logo></auth-logo>
          <div class="heading2" data-test-id="heading">${(x) => x.headingText}</div>
          <div class="heading3">${(x) => x.toLocalisedText('RESET_PASSWORD_SUBTITLE')}</div>
        </div>
        <form @submit=${(x) => x.onSubmit()} autocomplete="on" data-test-id="form">
          ${organisationField()} ${usernameField()}
          ${when((x) => !x.passwordResetToken, html `
              ${(x) => passwordField(x.toLocalisedText('RESET_PASSWORD_OLD_PASSWORD_FIELD'))}
            `)}
          ${password2Field('new')} ${showPasswordCheckbox()}
          <div class="form-buttons">
            ${(x) => submitButton(x.toLocalisedText('RESET_PASSWORD_SUBMIT_BUTTON'))}
            ${(x) => backButton(() => x.onBack(), x.toLocalisedText('RESET_PASSWORD_BACK_BUTTON'))}
          </div>
          <submitting-indicator is-submitting="${(x) => x.store.isPending}"></submitting-indicator>
          <auth-message></auth-message>
        </form>
      </${cardTag}>
    </div>
  </auth-background>
`;
