import { __awaiter, __decorate } from "tslib";
import { customElement, observable } from '@microsoft/fast-element';
import { commonStyles } from '../../styles';
import { logger } from '../../utils';
import { BaseRoute } from '../base';
import { VerifyTemplate as template } from './verify.template';
/**
 * Verify
 * @public
 */
let Verify = class Verify extends BaseRoute {
    constructor() {
        super(...arguments);
        this.code = '';
    }
    onSubmit() {
        return __awaiter(this, void 0, void 0, function* () {
            logger.debug('2FA verify code submission');
            logger.warn('2FA verify code implementation is pending. Use email based MFA instead.');
        });
    }
};
__decorate([
    observable
], Verify.prototype, "code", void 0);
Verify = __decorate([
    customElement({
        name: 'foundation-auth-verify',
        template,
        styles: commonStyles,
    })
], Verify);
export { Verify };
