import { sync } from '@genesislcap/foundation-utils';
import { html } from '@microsoft/fast-element';
import { cardTag, textFieldTag } from '../../tags';
import { backButton, submitButton } from '../base';
/**
 * VerifyTemplate
 * @public
 */
export const VerifyTemplate = html `
  <auth-background>
    <div class="container">
      <${cardTag} class="card-pd">
        <div class="column-content">
          <auth-logo></auth-logo>
          <div class="heading2" data-test-id="heading">${(x) => x.toLocalisedText('VERIFY_TITLE')}</div>
          <div class="heading3">
            ${(x) => x.toLocalisedText('VERIFY_SUBTITLE')}
          </div>
        </div>
        <form @submit=${(x) => x.onSubmit()} data-test-id="form">
          <${textFieldTag}
            type="text"
            name="code"
            autocomplete="one-time-code"
            :value=${sync((x) => x.code)}
            autofocus
            data-test-id="code"
          >
            <span class="form-title">${(x) => x.toLocalisedText('VERIFY_FORM_TITLE')}</span>
          </${textFieldTag}>
          <div class="form-buttons">
            ${(x) => submitButton(x.toLocalisedText('VERIFY_SUBMIT_BUTTON_LABEL'))} ${(x) => backButton(() => x.onBack(), x.toLocalisedText('VERIFY_BACK_BUTTON'))}
          </div>
          <submitting-indicator is-submitting="${(x) => x.store.isPending}"></submitting-indicator>
          <auth-message></auth-message>
        </form>
      </${cardTag}>
    </div>
  </auth-background>
`;
