import { tagFor } from '@genesislcap/foundation-ui';
import { DI } from '@microsoft/fast-foundation';
import { AuthConfig } from '../config/config';
import { defaultTemplateOptions } from '../config/templates';
/**
 * It's important this file isn't referenced ahead of a `configure` call, otherwise these values may remain fixed at
 * their defaults. Consumers must use the `/config` subpath to help avoid this. Files with references to tags should be
 * lazily loaded. There is an alternative `getTags` utility at the end which could offer another approach, but direct
 * tag exports and inline template references feel cleaner than having to convert all component `template` and `styles`
 * exports to functions to call `getTags` on execution.
 */
/**
 * @internal
 */
export const { templateOptions = defaultTemplateOptions } = DI.getOrCreateDOMContainer().get(AuthConfig);
/**
 * @internal
 */
export const anchorTag = tagFor(templateOptions.anchor);
/**
 * @internal
 */
export const buttonTag = tagFor(templateOptions.button);
/**
 * @internal
 */
export const cardTag = tagFor(templateOptions.card);
/**
 * @internal
 */
export const checkboxTag = tagFor(templateOptions.checkbox);
/**
 * @internal
 */
export const listboxOptionTag = tagFor(templateOptions.listboxOption);
/**
 * @internal
 */
export const providerTag = tagFor(templateOptions.provider);
/**
 * @internal
 */
export const routerTag = tagFor(templateOptions.router);
/**
 * @internal
 */
export const selectTag = tagFor(templateOptions.select);
/**
 * @internal
 */
export const textFieldTag = tagFor(templateOptions.textField);
/**
 * @internal
 */
export const progressRingTag = tagFor(templateOptions.progressRing);
