## API Report File for "@genesislcap/foundation-auth"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

/// <reference types="webappsec-credential-management" />

import { AbstractMachine } from '@genesislcap/foundation-state-machine';
import { AbstractStore } from '@genesislcap/foundation-store';
import { AbstractStoreRoot } from '@genesislcap/foundation-store';
import { ActionArgs } from 'xstate';
import { AnyActorContext } from 'xstate';
import { AnyState } from 'xstate';
import { Assigner } from 'xstate';
import { BindingObserver } from '@microsoft/fast-element';
import { ComposableStyles } from '@microsoft/fast-element';
import { Constructable } from '@microsoft/fast-element';
import { Container } from '@microsoft/fast-foundation';
import { Controller } from '@microsoft/fast-element';
import { DefaultUser } from '@genesislcap/foundation-user';
import { defaultUserConfig } from '@genesislcap/foundation-user';
import { DoneInvokeEvent } from 'xstate';
import { ElementStyles } from '@microsoft/fast-element';
import { EmitOptions } from '@genesislcap/foundation-events';
import { EmitReturn } from '@genesislcap/foundation-events';
import type { ErrorEvent as ErrorEvent_2 } from 'xstate';
import { EventObject } from 'xstate';
import { FetchMachine } from '@genesislcap/foundation-state-machine';
import { FetchMachineEvent } from '@genesislcap/foundation-state-machine';
import { getUser } from '@genesislcap/foundation-user';
import { I18nextConfig } from '@genesislcap/foundation-i18n';
import { InterfaceSymbol } from '@microsoft/fast-foundation';
import type { InterpreterOptions } from 'xstate';
import { Logger } from '@genesislcap/foundation-logger';
import { Machine } from '@genesislcap/foundation-state-machine';
import type { MachineContext } from '@genesislcap/foundation-state-machine';
import { MachineContext as MachineContext_2 } from 'xstate';
import { ParameterizedObject } from 'xstate';
import { PartialFASTElementDefinition } from '@microsoft/fast-element';
import { PropertyAssigner } from 'xstate';
import { RouterConfiguration } from '@microsoft/fast-router';
import type { SetUserProperties } from '@genesislcap/foundation-user';
import { Store } from '@genesislcap/foundation-store';
import { StoreRoot } from '@genesislcap/foundation-store';
import { StoreRootEventDetailMap } from '@genesislcap/foundation-store';
import { SyntheticViewTemplate } from '@microsoft/fast-element';
import { TemplateElementDependency } from '@genesislcap/foundation-ui';
import { User } from '@genesislcap/foundation-user';
import { UserActionHistory } from '@genesislcap/foundation-user';
import { UserAuthenticationChangeEvent } from '@genesislcap/foundation-user';
import { UserAuthenticationChangeType } from '@genesislcap/foundation-user';
import { UserConfig } from '@genesislcap/foundation-user';
import type { UserDetailsProductProperty } from '@genesislcap/foundation-user';
import type { UserDetailsProperty } from '@genesislcap/foundation-user';
import type { UserDetailsSystemProperty } from '@genesislcap/foundation-user';
import { UserPathHistory } from '@genesislcap/foundation-user';
import { UUID } from '@genesislcap/foundation-utils';
import { ViewTemplate } from '@microsoft/fast-element';

// Warning: (ae-internal-missing-underscore) The name "ACK" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal (undocumented)
export interface ACK extends MESSAGE {
}

// Warning: (ae-internal-missing-underscore) The name "Ack" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal (undocumented)
export interface Ack extends Message {
}

// Warning: (ae-internal-mixed-release-tag) Mixed release tags are not allowed for "AuthConfig" because one of its declarations is marked as @internal
//
// @public
export interface AuthConfig extends PartialFASTElementDefinition {
    background: ComposableStyles | ComposableStyles[] | null;
    backgroundVideo: {
        src: string;
        type: 'video/ogg' | 'video/mp4' | 'video/webm';
    } | null;
    feedbackDelay?: number;
    fields: FieldConfigMap;
    hostPath: string;
    localizationResources?: I18nextConfig['resources'];
    logo: ComposableStyles | ComposableStyles[] | null;
    omitRedirectUrls: string[];
    omitRoutes: Exclude<AuthRoutes, 'login' | 'not-found'>[];
    // (undocumented)
    postLoginRedirect: () => void;
    // (undocumented)
    postLogoutRedirect: () => void;
    sso: SSOConfig | null;
    // Warning: (ae-forgotten-export) The symbol "TemplateOptions" needs to be exported by the entry point index.d.ts
    templateOptions: TemplateOptions;
    versionInformation?: string;
}

// @internal
export const AuthConfig: InterfaceSymbol<AuthConfig>;

// @public (undocumented)
export type AuthDTO = LoginDTO | LogoutDTO | PasswordManagementDTO;

// @public (undocumented)
export type AuthEntity = LoginEntity | LogoutEntity | PasswordManagementEntity;

// @public (undocumented)
export type AuthEventMap = StoreRootEventDetailMap & AuthMachineEventMap & {
    'auth-login': LoginParams;
    'auth-logout': void;
    'auth-change-password': ChangePasswordParams;
    'auth-forgot-password': ForgotPasswordParams;
    'auth-reset-password': ResetPasswordParams;
};

// @public (undocumented)
export type AuthFormEntryEventMap = {
    'auth-autofill-form': void;
    'auth-organisation-changed': string;
    'auth-username-changed': string;
    'auth-email-changed': string;
    'auth-password-changed': string;
    'auth-password2-changed': string;
    'auth-showPassword-changed': boolean;
    'auth-selectedIdp-changed': string;
    'auth-ssoToggled-changed': boolean;
};

// Warning: (ae-internal-mixed-release-tag) Mixed release tags are not allowed for "AuthFormEntryStore" because one of its declarations is marked as @internal
//
// @public
export interface AuthFormEntryStore extends Store {
    // (undocumented)
    readonly autofilling: boolean;
    // (undocumented)
    readonly email: string;
    // (undocumented)
    readonly hasPasswordExpired: boolean;
    // (undocumented)
    readonly idps: IdentityProvider[];
    // (undocumented)
    readonly mfaCode: string;
    // (undocumented)
    onAutofillForm(event: CustomEvent<void>): void;
    // (undocumented)
    onEmailChanged(event: CustomEvent<string>): void;
    // (undocumented)
    onOrganisationChanged(event: CustomEvent<string>): void;
    // (undocumented)
    onPassword2Changed(event: CustomEvent<string>): void;
    // (undocumented)
    onPasswordChanged(event: CustomEvent<string>): void;
    // (undocumented)
    onSelectedIdpChanged(event: CustomEvent<string>): void;
    // (undocumented)
    onShowPasswordChanged(event: CustomEvent<boolean>): void;
    // (undocumented)
    onSSOToggleChanged(event: CustomEvent<boolean>): void;
    // (undocumented)
    onUsernameChanged(event: CustomEvent<string>): void;
    // (undocumented)
    readonly organisation: string;
    // (undocumented)
    readonly orgUsername: string;
    // (undocumented)
    readonly password: string;
    // (undocumented)
    readonly password2: string;
    // (undocumented)
    readonly passwordResetToken: string;
    // (undocumented)
    readonly selectedIdp: IdentityProvider;
    // (undocumented)
    readonly showPassword: boolean;
    // (undocumented)
    readonly ssoLoginUrl: string;
    // (undocumented)
    readonly ssoToggled: boolean;
    // (undocumented)
    readonly termsAgreed: boolean;
    // (undocumented)
    readonly username: string;
}

// @internal
export const AuthFormEntryStore: InterfaceSymbol<AuthFormEntryStore>;

// Warning: (ae-internal-mixed-release-tag) Mixed release tags are not allowed for "AuthMachine" because one of its declarations is marked as @internal
//
// @public
export interface AuthMachine extends Machine<AuthMachineContext, AuthMachineEvent> {
}

// @internal
export const AuthMachine: InterfaceSymbol<AuthMachine>;

// @public
export interface AuthMachineContext extends MachineContext {
    dto: AuthDTO;
    entity: AuthEntity;
    params?: AuthMachineEventParams;
    user: User;
}

// @public
export type AuthMachineEvent = {
    type: 'login';
    params: LoginParams;
} | {
    type: 'logout';
} | {
    type: 'change-password';
    params: ChangePasswordParams;
} | {
    type: 'forgot-password';
    params: ForgotPasswordParams;
} | {
    type: 'reset-password';
    params: ResetPasswordParams;
} | DoneInvokeEvent<unknown> | ErrorEvent_2<unknown>;

// @public
export type AuthMachineEventMap = {
    'auth-machine-event': AuthMachineEvent;
};

// @public
export type AuthMachineEventParams = LoginParams | ForgotPasswordParams | ChangePasswordParams | ResetPasswordParams | QueryParams;

// Warning: (ae-internal-mixed-release-tag) Mixed release tags are not allowed for "AuthMessageMapper" because one of its declarations is marked as @internal
//
// @public
export interface AuthMessageMapper extends MessageMapper<AuthMessageMapperLookup> {
}

// @internal
export const AuthMessageMapper: InterfaceSymbol<AuthMessageMapper>;

// @public (undocumented)
export type AuthMessageMapperLookup = {
    [MESSAGE_TYPE.LOGIN]: LoginMapper;
    [MESSAGE_TYPE.LOGIN_ACK]: LoginMapper;
    [MESSAGE_TYPE.LOGIN_NACK]: LoginMapper;
    [MESSAGE_TYPE.LOGIN_DETAILS_ACK]: LoginMapper;
    [MESSAGE_TYPE.LOGIN_DETAILS_NACK]: LoginMapper;
    [MESSAGE_TYPE.LOGOUT_ACK]: LogoutMapper;
    [MESSAGE_TYPE.LOGOUT_NACK]: LogoutMapper;
    [MESSAGE_TYPE.FORGOT_PASSWORD]: PasswordManagementMapper;
    [MESSAGE_TYPE.CHANGE_PASSWORD]: PasswordManagementMapper;
    [MESSAGE_TYPE.RESET_PASSWORD]: PasswordManagementMapper;
    [MESSAGE_TYPE.EVENT_NACK]: LogoutMapper;
};

// Warning: (ae-internal-missing-underscore) The name "AuthRouterConfig" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export class AuthRouterConfig extends RouterConfiguration<Settings> {
    // Warning: (ae-forgotten-export) The symbol "AuthRouting" needs to be exported by the entry point index.d.ts
    constructor(user: User, container: Container, authConfig: AuthConfig, authRouting: AuthRouting);
    // (undocumented)
    configure(): void;
    // (undocumented)
    construct<T>(Type: Constructable<T>): T;
}

// @public (undocumented)
export const AuthRoutes: {
    readonly login: "login";
    readonly logout: "logout";
    readonly 'request-account': "request-account";
    readonly 'reset-password': "reset-password";
    readonly 'forgot-password': "forgot-password";
    readonly verify: "verify";
    readonly protected: "protected";
    readonly 'not-found': "not-found";
};

// @public (undocumented)
export type AuthRoutes = (typeof AuthRoutes)[keyof typeof AuthRoutes];

// Warning: (ae-internal-mixed-release-tag) Mixed release tags are not allowed for "AuthStore" because one of its declarations is marked as @internal
//
// @public
export interface AuthStore extends StoreRoot {
    readonly authMachine: AuthMachine;
    // (undocumented)
    readonly errorMessages: string[];
    // (undocumented)
    readonly formEntry: AuthFormEntryStore;
    // (undocumented)
    readonly isPending: boolean;
    // (undocumented)
    readonly metaMessages: string[];
    // (undocumented)
    onChangePassword(event: CustomEvent<ChangePasswordParams>): void;
    // (undocumented)
    onForgotPassword(event: CustomEvent<ForgotPasswordParams>): void;
    // (undocumented)
    onLogin(event: CustomEvent<LoginParams>): void;
    // (undocumented)
    onLogout(event: CustomEvent<void>): void;
    // (undocumented)
    onMachineEvent(event: CustomEvent<AuthEventMap['auth-machine-event']>): void;
    // (undocumented)
    onResetPassword(event: CustomEvent<ResetPasswordParams>): void;
}

// @internal
export const AuthStore: InterfaceSymbol<AuthStore>;

// @public (undocumented)
export type BasicCredentials = {
    type: CredentialType_2 & CredentialType_2.BASIC;
    username: string;
    password: string;
};

// @public (undocumented)
export let CHANGE_PASSWORD_URL: string;

// @public (undocumented)
export type ChangePasswordParams = {
    username: string;
    oldPassword: string;
    newPassword: string;
    requester?: string;
};

// @public
export function configure(config: Partial<AuthConfig>): Promise<FoundationAuth>;

// @public
export function createHTTPHeadersFromDTO(dto: {
    SOURCE_REF?: string;
    USER_NAME?: string;
}, contentType?: string): HeadersInit;

// @public
export const createMessageMapper: <TLookup extends MessageMapperLookup, K extends keyof TLookup = keyof TLookup>() => MessageMapper<TLookup, K>;

// @public
type CredentialData_2 = PasswordCredentialData & {
    password?: string;
};
export { CredentialData_2 as CredentialData }

// Warning: (ae-internal-mixed-release-tag) Mixed release tags are not allowed for "CredentialManager" because one of its declarations is marked as @internal
//
// @public
export interface CredentialManager {
    getCredentials(options?: GetCredentialOptions): Promise<CredentialData_2 | undefined>;
    getCredentialsFromContainer(options?: GetCredentialOptions): Promise<CredentialData_2 | null>;
    getCredentialsFromCookie(): CredentialData_2 | undefined;
    normaliseLegacyCredentialData(data?: CredentialData_2, cookie?: CredentialData_2): [CredentialData_2 | undefined, boolean];
    preventSilentAccess(): Promise<void>;
    removeCookie(): void;
    storeCredentials(data: CredentialData_2): Promise<boolean>;
    storeCredentialsInContainer(data: CredentialData_2): Promise<Credential | undefined>;
    storeCredentialsInCookie(data: CredentialData_2): boolean;
    validateBasicCredentials(credentials: BasicCredentials): boolean;
    validateMFACredentials(credentials: MFACredentials): boolean;
    validateRefreshCredentials(credentials: RefreshCredentials): boolean;
    validateSSOCredentials(credentials: SSOCredentials): boolean;
    validateUserCredentialData(data: CredentialData_2, ensurePassword?: boolean): boolean;
}

// @internal
export const CredentialManager: InterfaceSymbol<CredentialManager>;

// Warning: (ae-internal-mixed-release-tag) Mixed release tags are not allowed for "CredentialManagerConfig" because one of its declarations is marked as @internal
//
// @public
export interface CredentialManagerConfig {
    // (undocumented)
    cookie: CredentialManagerCookieConfig;
}

// @internal
export const CredentialManagerConfig: InterfaceSymbol<CredentialManagerConfig>;

// @public
export interface CredentialManagerCookieConfig {
    // (undocumented)
    expires: number | Date;
    // (undocumented)
    name: string;
    // (undocumented)
    path: string;
    // (undocumented)
    storePasswords?: boolean;
}

// @public
export type Credentials = BasicCredentials | SSOCredentials | JWTCredentials | RefreshCredentials | MFACredentials;

// @public
export const credentialSeparator = ":";

// @public
enum CredentialType_2 {
    // (undocumented)
    BASIC = "BASIC",
    // (undocumented)
    JWT = "JWT",
    // (undocumented)
    MFA = "MFA",
    // (undocumented)
    REFRESH = "REFRESH",
    // (undocumented)
    SSO = "SSO"
}
export { CredentialType_2 as CredentialType }

// @public
export const defaultAuthConfig: AuthConfig;

// Warning: (ae-forgotten-export) The symbol "InternalEventMap" needs to be exported by the entry point index.d.ts
//
// @public
export class DefaultAuthFormEntryStore extends AbstractStore<AuthFormEntryStore, AuthFormEntryEventMap, InternalEventMap> implements AuthFormEntryStore {
    constructor();
    // @internal (undocumented)
    protected autofill(): Promise<boolean>;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthFormEntryStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    autofilling: boolean;
    // (undocumented)
    protected config: AuthConfig;
    // (undocumented)
    protected credentialManager: CredentialManager;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthFormEntryStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    email: string;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthFormEntryStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    hasPasswordExpired: boolean;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthFormEntryStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    idps: IdentityProvider[];
    // Warning: (ae-forgotten-export) The symbol "IDPService" needs to be exported by the entry point index.d.ts
    //
    // (undocumented)
    readonly idpService: IDPService;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthFormEntryStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    mfaCode: string;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthFormEntryStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    onAutofillForm: EventListener;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthFormEntryStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    onEmailChanged: EventListener;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthFormEntryStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    onOrganisationChanged: EventListener;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthFormEntryStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    onPassword2Changed: EventListener;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthFormEntryStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    onPasswordChanged: EventListener;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthFormEntryStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    onSelectedIdpChanged: EventListener;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthFormEntryStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    onShowPasswordChanged: EventListener;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthFormEntryStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    onSSOToggleChanged: EventListener;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthFormEntryStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    onUsernameChanged: EventListener;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthFormEntryStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    organisation: string;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthFormEntryStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    get orgUsername(): string;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthFormEntryStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    password: string;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthFormEntryStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    password2: string;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthFormEntryStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    passwordResetToken: string;
    // @internal (undocumented)
    protected resetIDPState(): void;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthFormEntryStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    selectedIdp: IdentityProvider;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthFormEntryStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    showPassword: boolean;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthFormEntryStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    get ssoLoginUrl(): string;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthFormEntryStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    ssoToggled: boolean;
    // @internal (undocumented)
    protected ssoToggledChanged: (prev: boolean, next: boolean) => Promise<void>;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthFormEntryStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    termsAgreed: boolean;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthFormEntryStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    username: string;
}

// @public
export class DefaultAuthMachine extends AbstractMachine<AuthMachineContext, AuthMachineEvent> implements AuthMachine {
    constructor(user: User, fetchMachine: FetchMachine, cm: CredentialManager, uuid: UUID, messageMapper: AuthMessageMapper, config: AuthConfig, routing: AuthRouting);
    // (undocumented)
    protected captureAuthQueryParams(): QueryParams;
    // (undocumented)
    protected convertQueryParamsToLoginParams(params: QueryParams): LoginParams;
    // (undocumented)
    protected createFetchMachineEvent(url: string, msg?: {}): FetchMachineEvent;
    // (undocumented)
    protected dtoTransition: () => {
        actions: string[];
        target: string;
    };
    getFromContainer(): this;
    // (undocumented)
    protected onIdleEvents: () => {
        login: {
            actions: string[];
            target: string;
        };
        "forgot-password": {
            actions: string[];
            target: string;
        };
        "change-password": {
            actions: string[];
            target: string;
        };
        "reset-password": {
            actions: string[];
            target: string;
        };
    };
    // (undocumented)
    start(options?: InterpreterOptions<typeof DefaultAuthMachine.machine>): void;
}

// @public
export const defaultAuthMachineContext: Partial<AuthMachineContext>;

// @public
export class DefaultAuthMessageMapper extends DefaultMessageMapper<AuthMessageMapperLookup> implements AuthMessageMapper {
    constructor(loginMapper: LoginMapper, logoutMapper: LogoutMapper, passwordMapper: PasswordManagementMapper);
    // (undocumented)
    protected loginMapper: LoginMapper;
    // (undocumented)
    protected logoutMapper: LogoutMapper;
    // (undocumented)
    protected passwordMapper: PasswordManagementMapper;
}

// Warning: (ae-forgotten-export) The symbol "InternalAuthEventMap" needs to be exported by the entry point index.d.ts
//
// @public
export class DefaultAuthStore extends AbstractStoreRoot<AuthStore, AuthEventMap, InternalAuthEventMap> implements AuthStore {
    constructor(config: AuthConfig, authMachine: AuthMachine, formEntry: AuthFormEntryStore);
    // (undocumented)
    readonly authMachine: AuthMachine;
    // (undocumented)
    readonly config: AuthConfig;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    get errorMessages(): string[];
    // (undocumented)
    readonly formEntry: AuthFormEntryStore;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    get isPending(): boolean;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    get metaMessages(): string[];
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    onChangePassword: EventListener;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    onForgotPassword: EventListener;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    onLogin: EventListener;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    onLogout: EventListener;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    onMachineEvent: EventListener;
    // Warning: (ae-unresolved-inheritdoc-reference) The @inheritDoc reference could not be resolved: The reference is ambiguous because "AuthStore" has more than one declaration; you need to add a TSDoc member reference selector
    //
    // (undocumented)
    onResetPassword: EventListener;
}

// @public
export class DefaultCredentialManager implements CredentialManager {
    constructor(config?: CredentialManagerConfig);
    // (undocumented)
    getCredentials(options?: GetCredentialOptions): Promise<CredentialData_2 | undefined>;
    // (undocumented)
    getCredentialsFromContainer(options?: CredentialRequestOptions): Promise<CredentialData_2 | null>;
    // (undocumented)
    getCredentialsFromCookie(): CredentialData_2 | undefined;
    // (undocumented)
    normaliseLegacyCredentialData(data?: CredentialData_2, cookie?: CredentialData_2): [CredentialData_2 | undefined, boolean];
    // (undocumented)
    preventSilentAccess(): Promise<void>;
    // (undocumented)
    removeCookie(): void;
    // (undocumented)
    storeCredentials(data: CredentialData_2): Promise<boolean>;
    // (undocumented)
    storeCredentialsInContainer(data: CredentialData_2): Promise<Credential | undefined>;
    // (undocumented)
    storeCredentialsInCookie(data: CredentialData_2): boolean;
    // (undocumented)
    validateBasicCredentials(credentials: BasicCredentials): boolean;
    // (undocumented)
    validateMFACredentials(credentials: MFACredentials): boolean;
    // (undocumented)
    validateRefreshCredentials(credentials: RefreshCredentials): boolean;
    // (undocumented)
    validateSSOCredentials(credentials: SSOCredentials): boolean;
    // (undocumented)
    validateUserCredentialData(data: CredentialData_2, ensurePassword?: boolean): boolean;
}

// @public
export const defaultCredentialManagerConfig: CredentialManagerConfig;

// @public
export const defaultCredentialRequestOptions: GetCredentialOptions;

// @public
export class DefaultLoginMapper implements LoginMapper {
    // Warning: (ae-forgotten-export) The symbol "Product_2" needs to be exported by the entry point index.d.ts
    //
    // (undocumented)
    protected fromProductDTO: (products: Product_2[]) => Product[];
    // Warning: (ae-forgotten-export) The symbol "System_2" needs to be exported by the entry point index.d.ts
    //
    // (undocumented)
    protected fromSystemDTO: (system: System_2) => System;
    toDTO: (entity: LoginEntity) => LoginDTO;
    toEntity: (dto: LoginDTO) => LoginEntity;
    // (undocumented)
    protected uuid: UUID;
}

// @public
export class DefaultLogoutMapper implements LogoutMapper {
    toEntity: (dto: LogoutDTO) => LogoutEntity;
}

// @public (undocumented)
export class DefaultMessageMapper<TLookup extends MessageMapperLookup, K extends keyof TLookup = keyof TLookup> implements MessageMapper<TLookup, K> {
    clear(): void;
    delete(key: K): boolean;
    get(key: K): TLookup[K] | undefined;
    has(key: K): boolean;
    set(key: K, mapper: TLookup[K]): void;
    get size(): number;
}

// @public
export class DefaultPasswordManagementMapper implements PasswordManagementMapper {
    toDTO: (entity: PasswordManagementEntity) => PasswordManagementDTO;
    // (undocumented)
    protected uuid: UUID;
}

export { DefaultUser }

export { defaultUserConfig }

// @public @deprecated (undocumented)
export interface Details extends UserDetailsProperty {
}

// Warning: (ae-incompatible-release-tags) The symbol "EVENT_CHANGE_USER_PASSWORD" is marked as @public, but its signature references "MESSAGE" which is marked as @internal
//
// @public (undocumented)
export interface EVENT_CHANGE_USER_PASSWORD extends MESSAGE {
    // (undocumented)
    readonly DETAILS: {
        readonly OLD_PASSWORD: string;
        readonly NEW_PASSWORD: string;
    };
    // (undocumented)
    readonly USER_NAME: string;
}

// Warning: (ae-incompatible-release-tags) The symbol "EVENT_LOGIN_AUTH" is marked as @public, but its signature references "MESSAGE" which is marked as @internal
//
// @public (undocumented)
export interface EVENT_LOGIN_AUTH extends MESSAGE {
    // (undocumented)
    readonly DETAILS: {
        readonly USER_NAME: string;
        readonly PASSWORD: string;
    } | {
        readonly USER_NAME: string;
        readonly REFRESH_AUTH_TOKEN: string;
    } | {
        readonly SSO_TOKEN: string;
    } | {
        readonly JWT: string;
        readonly DOMAIN: string;
    } | {
        readonly MFA_CODE: string;
    };
}

// Warning: (ae-incompatible-release-tags) The symbol "EVENT_LOGIN_AUTH_ACK" is marked as @public, but its signature references "ACK" which is marked as @internal
//
// @public (undocumented)
export interface EVENT_LOGIN_AUTH_ACK extends ACK {
    // Warning: (ae-forgotten-export) The symbol "Details_2" needs to be exported by the entry point index.d.ts
    //
    // (undocumented)
    readonly DETAILS: Details_2;
    // (undocumented)
    readonly PERMISSION: string[];
    // (undocumented)
    readonly PROFILE: string[];
    // (undocumented)
    readonly REFRESH_AUTH_TOKEN: string;
    readonly SESSION_AUTH_TOKEN: string;
    // (undocumented)
    readonly SESSION_ID: string;
    // (undocumented)
    readonly UPDATE_QUEUE: string;
    // (undocumented)
    readonly USER: {
        [key: string]: any;
    };
    // (undocumented)
    readonly USER_NAME: string;
    // (undocumented)
    readonly ZERO_MQ_PROXY_INBOUND_PORT: number;
    // (undocumented)
    readonly ZERO_MQ_PROXY_MODE_ENABLED: boolean;
    // (undocumented)
    readonly ZERO_MQ_PROXY_OUTBOUND_PORT: number;
}

// Warning: (ae-incompatible-release-tags) The symbol "EVENT_LOGIN_AUTH_NACK" is marked as @public, but its signature references "NACK" which is marked as @internal
//
// @public (undocumented)
export interface EVENT_LOGIN_AUTH_NACK extends NACK {
    readonly REFRESH_AUTH_TOKEN: string;
    // (undocumented)
    readonly REFRESH_TOKEN_EXPIRATION_MINS: number;
}

// @public (undocumented)
export interface EVENT_LOGIN_DETAILS_ACK extends EVENT_LOGIN_AUTH_ACK {
}

// Warning: (ae-incompatible-release-tags) The symbol "EVENT_LOGOUT_NACK" is marked as @public, but its signature references "NACK" which is marked as @internal
//
// @public (undocumented)
export interface EVENT_LOGOUT_NACK extends NACK {
}

// Warning: (ae-incompatible-release-tags) The symbol "EVENT_PASSWORD_RESET_ACTION" is marked as @public, but its signature references "MESSAGE" which is marked as @internal
//
// @public (undocumented)
export interface EVENT_PASSWORD_RESET_ACTION extends MESSAGE {
    // (undocumented)
    readonly DETAILS: {
        readonly USER_NAME: string;
        readonly RESET_TOKEN: string;
        readonly NEW_PASSWORD: string;
    };
    // (undocumented)
    readonly USER_NAME: string;
}

// Warning: (ae-incompatible-release-tags) The symbol "EVENT_SELF_SERVICE_PASSWORD_RESET" is marked as @public, but its signature references "MESSAGE" which is marked as @internal
//
// @public (undocumented)
export interface EVENT_SELF_SERVICE_PASSWORD_RESET extends MESSAGE {
    // (undocumented)
    readonly DETAILS: {
        readonly USER_NAME: string;
        readonly RETURN_URL: string;
    };
    // (undocumented)
    readonly USER_NAME: string;
}

// @public
export type FieldConfig = {
    label: string;
    value?: any;
    required?: boolean;
    pattern?: string;
    title?: string;
};

// @public (undocumented)
export type FieldConfigMap = {
    organisation: FieldConfig | null;
    username: FieldConfig;
    email: FieldConfig;
    password: FieldConfig;
};

// @public (undocumented)
export let FORGOT_PASSWORD_URL: string;

// @public (undocumented)
export type ForgotPasswordParams = {
    username: string;
    returnUrl: string;
    requester?: string;
};

// Warning: (ae-forgotten-export) The symbol "FoundationAuth_base" needs to be exported by the entry point index.d.ts
//
// @public
export class FoundationAuth extends FoundationAuth_base {
    // @internal (undocumented)
    protected addBindings(): void;
    // @internal (undocumented)
    protected addEventListeners(): void;
    // @internal (undocumented)
    attemptAutofill(): void;
    // @internal (undocumented)
    get classNames(): string;
    // @internal
    config: AuthRouterConfig;
    // @internal (undocumented)
    connectedCallback(): void;
    // @internal (undocumented)
    container: Container;
    // @internal (undocumented)
    disconnectedCallback(): void;
    // @internal (undocumented)
    protected disconnectStore(): void;
    // @internal (undocumented)
    get isReady(): boolean;
    // @internal (undocumented)
    protected machineBinding: BindingObserver;
    // @internal (undocumented)
    protected readyStore(): void;
    // @internal (undocumented)
    protected registerDIDependencies(): void;
    // @internal (undocumented)
    protected removeBindings(): void;
    // @internal (undocumented)
    protected removeEventListeners(): void;
    // @internal (undocumented)
    store: AuthStore;
}

// Warning: (ae-incompatible-release-tags) The symbol "fromDTOAck" is marked as @public, but its signature references "ACK" which is marked as @internal
// Warning: (ae-incompatible-release-tags) The symbol "fromDTOAck" is marked as @public, but its signature references "Ack" which is marked as @internal
//
// @public
export const fromDTOAck: (dto: ACK) => Ack;

// Warning: (ae-incompatible-release-tags) The symbol "fromDTONack" is marked as @public, but its signature references "NACK" which is marked as @internal
// Warning: (ae-incompatible-release-tags) The symbol "fromDTONack" is marked as @public, but its signature references "Nack" which is marked as @internal
//
// @public
export const fromDTONack: (dto: NACK) => Nack;

// @public (undocumented)
export const fromDTOStringArray: (arr: string[]) => string[];

// @public
export const fromIDPDTO: (dto: IDENTITY_PROVIDER) => IdentityProvider;

// @public
export function getAuthMachine(): AuthMachine;

// @public
export function getAuthStore(): AuthStore;

// @public
export type GetCredentialOptions = CredentialRequestOptions & {};

// Warning: (ae-internal-missing-underscore) The name "getNormalisedText" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export const getNormalisedText: (arr: NackErrorWarning[]) => string;

// @public
export function getRoutePath(route: AuthRoutes | string, hostPath?: string): string;

export { getUser }

// Warning: (ae-incompatible-release-tags) The symbol "hasDTOErrorWarningCode" is marked as @public, but its signature references "NACK" which is marked as @internal
//
// @public
export const hasDTOErrorWarningCode: (dto: NACK, code: string) => boolean;

// @public (undocumented)
export interface IDENTITY_PROVIDER {
    // (undocumented)
    readonly DESCRIPTION: string;
    // (undocumented)
    readonly ID: string;
    // (undocumented)
    readonly TYPE: string;
}

// @public (undocumented)
export interface IdentityProvider {
    // (undocumented)
    readonly description: string;
    // (undocumented)
    readonly id: string;
    // (undocumented)
    readonly type: string;
}

// @public
export const is200Nack: <TOutput = any>(event: EventObject | DoneInvokeEvent<TOutput>) => event is DoneInvokeEvent<TOutput>;

// @public
export function isChangePasswordParams(params: AuthMachineEventParams): params is ChangePasswordParams;

// @public
export function isForgotPasswordParams(params: AuthMachineEventParams): params is ForgotPasswordParams;

// @public
export function isLoginAckDTO(dto: LoginDTO): dto is EVENT_LOGIN_AUTH_ACK;

// @public
export function isLoginAckEntity(entity: LoginEntity): entity is LoginAck;

// @public
export function isLoginDetailsAckDTO(dto: LoginDTO): dto is EVENT_LOGIN_DETAILS_ACK;

// @public
export function isLoginDetailsAckEntity(entity: LoginEntity): entity is LoginDetailsAck;

// @public
export function isLoginNackDTO(dto: LoginDTO): dto is EVENT_LOGIN_AUTH_NACK;

// @public
export function isLoginNackEntity(entity: LoginEntity): entity is LoginNack;

// @public
export function isLoginParams(params: AuthMachineEventParams): params is LoginParams;

// @public
export function isLogoutAckDTO(dto: LogoutDTO): dto is LOGOUT_ACK;

// @public
export function isLogoutAckEntity(entity: LogoutEntity): entity is LogoutAck;

// @public
export function isLogoutNackDTO(dto: LogoutDTO): dto is EVENT_LOGOUT_NACK;

// @public
export function isLogoutNackEntity(entity: LogoutEntity): entity is LogoutNack;

// @public (undocumented)
export const isMappingError: (error: unknown) => error is MappingError;

// @public
export function isMFRoute(pathname?: string): boolean;

// Warning: (ae-incompatible-release-tags) The symbol "isNackDTO" is marked as @public, but its signature references "NACK" which is marked as @internal
//
// @public
export function isNackDTO(dto: unknown): dto is NACK;

// Warning: (ae-incompatible-release-tags) The symbol "isNackEntity" is marked as @public, but its signature references "Nack" which is marked as @internal
//
// @public
export function isNackEntity(entity: unknown): entity is Nack;

// @public
export function isQueryParams(params: AuthMachineEventParams): params is QueryParams;

// @public
export function isResetPasswordParams(params: AuthMachineEventParams): params is ResetPasswordParams;

// @public (undocumented)
export type JWTCredentials = {
    type: CredentialType_2 & CredentialType_2.JWT;
    jwt: string;
    domain: string;
};

// @public (undocumented)
export const logger: Logger;

// @public (undocumented)
export let LOGIN_DETAILS_URL: string;

// @public (undocumented)
export let LOGIN_REFRESH_URL: string;

// @public (undocumented)
export let LOGIN_URL: string;

// Warning: (ae-incompatible-release-tags) The symbol "LoginAck" is marked as @public, but its signature references "Ack" which is marked as @internal
//
// @public (undocumented)
export interface LoginAck extends SetUserProperties, Ack {
}

// @public (undocumented)
export interface LoginDetailsAck extends LoginAck {
}

// @public
export type LoginDTO = EVENT_LOGIN_AUTH | EVENT_LOGIN_AUTH_ACK | EVENT_LOGIN_AUTH_NACK | EVENT_LOGIN_DETAILS_ACK;

// @public
export type LoginEntity = Credentials | LoginAck | LoginDetailsAck | LoginNack;

// Warning: (ae-internal-mixed-release-tag) Mixed release tags are not allowed for "LoginMapper" because one of its declarations is marked as @internal
//
// @public
export interface LoginMapper extends Mapper<LoginDTO, LoginEntity> {
}

// @internal
export const LoginMapper: InterfaceSymbol<LoginMapper>;

// Warning: (ae-incompatible-release-tags) The symbol "LoginNack" is marked as @public, but its signature references "Nack" which is marked as @internal
//
// @public (undocumented)
export interface LoginNack extends Nack {
    // (undocumented)
    readonly hasIncorrectCredentials: boolean;
    // (undocumented)
    readonly hasPasswordExpired: boolean;
    // (undocumented)
    readonly isMFARequired: boolean;
    // (undocumented)
    readonly maxTriesReached: boolean;
    // (undocumented)
    readonly refreshAuthToken: string;
    // (undocumented)
    readonly refreshTokenExpirationMins: number;
}

// @public (undocumented)
export type LoginParams = Credentials;

// Warning: (ae-incompatible-release-tags) The symbol "LOGOUT_ACK" is marked as @public, but its signature references "ACK" which is marked as @internal
//
// @public (undocumented)
export interface LOGOUT_ACK extends ACK {
    // (undocumented)
    readonly OIDC_LOGOUT_URL: string;
}

// @public (undocumented)
export let LOGOUT_URL: string;

// Warning: (ae-incompatible-release-tags) The symbol "LogoutAck" is marked as @public, but its signature references "Ack" which is marked as @internal
//
// @public (undocumented)
export interface LogoutAck extends Ack {
    // (undocumented)
    readonly oidcLogoutUrl: string;
}

// @public
export type LogoutDTO = LOGOUT_ACK | EVENT_LOGOUT_NACK;

// @public
export type LogoutEntity = LogoutAck | LogoutNack;

// Warning: (ae-internal-mixed-release-tag) Mixed release tags are not allowed for "LogoutMapper" because one of its declarations is marked as @internal
//
// @public
export interface LogoutMapper extends Mapper<LogoutDTO, LogoutEntity> {
}

// @internal
export const LogoutMapper: InterfaceSymbol<LogoutMapper>;

// Warning: (ae-incompatible-release-tags) The symbol "LogoutNack" is marked as @public, but its signature references "Nack" which is marked as @internal
//
// @public (undocumented)
export interface LogoutNack extends Nack {
}

// @public
export interface Mapper<TDTO, TEntity> {
    toDTO?: (entity: Partial<TEntity>) => TDTO;
    toEntity?: (dto: TDTO) => TEntity;
}

// @public
export class MappingError extends Error {
    constructor(data?: unknown, message?: string);
    // (undocumented)
    data?: unknown;
}

// Warning: (ae-internal-missing-underscore) The name "MESSAGE" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal (undocumented)
export interface MESSAGE {
    // (undocumented)
    readonly MESSAGE_TYPE: `${MESSAGE_TYPE}`;
    // (undocumented)
    readonly SOURCE_REF: string;
}

// Warning: (ae-internal-missing-underscore) The name "Message" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal (undocumented)
export interface Message {
    // (undocumented)
    readonly messageType: `${MESSAGE_TYPE}`;
    // (undocumented)
    readonly sourceRef: string;
}

// Warning: (ae-internal-missing-underscore) The name "MESSAGE_TYPE" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal (undocumented)
export enum MESSAGE_TYPE {
    // (undocumented)
    CHANGE_PASSWORD = "EVENT_CHANGE_USER_PASSWORD",
    EVENT_NACK = "EVENT_NACK",
    FORGOT_PASSWORD = "EVENT_SELF_SERVICE_PASSWORD_RESET",
    LOGIN = "EVENT_LOGIN_AUTH",
    // (undocumented)
    LOGIN_ACK = "EVENT_LOGIN_AUTH_ACK",
    // (undocumented)
    LOGIN_DETAILS_ACK = "EVENT_LOGIN_DETAILS_ACK",
    // (undocumented)
    LOGIN_DETAILS_NACK = "EVENT_LOGIN_DETAILS_NACK",
    // (undocumented)
    LOGIN_NACK = "EVENT_LOGIN_AUTH_NACK",
    LOGOUT_ACK = "LOGOUT_ACK",
    // (undocumented)
    LOGOUT_NACK = "EVENT_LOGOUT_NACK",
    // (undocumented)
    RESET_PASSWORD = "EVENT_PASSWORD_RESET_ACTION"
}

// @public (undocumented)
export interface MessageMapper<TLookup extends MessageMapperLookup, K extends keyof TLookup = keyof TLookup> extends Pick<Map<K, TLookup[K]>, 'get' | 'has' | 'delete' | 'clear' | 'size'> {
    set(key: K, mapper: TLookup[K]): void;
}

// @public (undocumented)
export type MessageMapperLookup = Record<string, Mapper<unknown, unknown>>;

// @public (undocumented)
export type MFACredentials = {
    type: CredentialType_2 & CredentialType_2.MFA;
    mfaToken: string;
};

// Warning: (ae-internal-missing-underscore) The name "NACK" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal (undocumented)
export interface NACK extends MESSAGE {
    // (undocumented)
    readonly ERROR: NACK_ERROR_WARNING[];
    // (undocumented)
    readonly WARNING: NACK_ERROR_WARNING[];
}

// Warning: (ae-internal-missing-underscore) The name "Nack" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal (undocumented)
export interface Nack extends Message {
    // (undocumented)
    readonly error: NackErrorWarning[];
    // (undocumented)
    readonly normalisedErrorStatusCode: number;
    // (undocumented)
    readonly normalisedErrorText: string;
    // (undocumented)
    readonly normalisedWarningStatusCode: number;
    // (undocumented)
    readonly normalisedWarningText: string;
    // (undocumented)
    readonly warning: NackErrorWarning[];
}

// Warning: (ae-internal-missing-underscore) The name "NACK_ERROR_WARNING" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal (undocumented)
export interface NACK_ERROR_WARNING {
    // (undocumented)
    readonly '@type': string;
    // (undocumented)
    readonly CODE: string;
    // (undocumented)
    readonly STATUS_CODE: string;
    // (undocumented)
    readonly TEXT: string;
}

// Warning: (ae-internal-missing-underscore) The name "NackErrorWarning" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal (undocumented)
export interface NackErrorWarning {
    // (undocumented)
    readonly code: string;
    // (undocumented)
    readonly statusCode: string;
    // (undocumented)
    readonly text: string;
    // (undocumented)
    readonly type: string;
}

// Warning: (ae-internal-missing-underscore) The name "navigateTo" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal (undocumented)
export function navigateTo(route: AuthRoutes | string): void;

// @public
export type PasswordManagementDTO = EVENT_SELF_SERVICE_PASSWORD_RESET | EVENT_CHANGE_USER_PASSWORD | EVENT_PASSWORD_RESET_ACTION;

// @public
export type PasswordManagementEntity = ForgotPasswordParams | ChangePasswordParams | ResetPasswordParams;

// Warning: (ae-internal-mixed-release-tag) Mixed release tags are not allowed for "PasswordManagementMapper" because one of its declarations is marked as @internal
//
// @public
export interface PasswordManagementMapper extends Mapper<PasswordManagementDTO, PasswordManagementEntity> {
}

// @internal
export const PasswordManagementMapper: InterfaceSymbol<PasswordManagementMapper>;

// @public @deprecated (undocumented)
export interface Product extends UserDetailsProductProperty {
}

// @public (undocumented)
export type QueryParams = {
    SSO_TOKEN?: string;
    MFA_CODE?: string;
};

// @public (undocumented)
export type RefreshCredentials = {
    type: CredentialType_2 & CredentialType_2.REFRESH;
    username: string;
    refreshToken: string;
};

// @public (undocumented)
export let RESET_PASSWORD_URL: string;

// @public (undocumented)
export type ResetPasswordParams = {
    username: string;
    resetToken: string;
    newPassword: string;
    requester?: string;
};

// @public
export const setError: {
    (_: ActionArgs<MachineContext_2, EventObject, ParameterizedObject>): void;
    type: string;
    assignment: Assigner<MachineContext_2, EventObject> | PropertyAssigner<MachineContext_2, EventObject>;
    resolve: (actorContext: AnyActorContext, state: AnyState, actionArgs: ActionArgs<any, any, ParameterizedObject>, { assignment }: {
        assignment: Assigner<any, any> | PropertyAssigner<any, any>;
    }) => AnyState[];
};

// @public
export type Settings = {
    public?: boolean;
};

// @public (undocumented)
export let SSO_LIST_URL: string;

// @public (undocumented)
export let SSO_LOGIN_URL: string;

// @public (undocumented)
export type SSOConfig = {
    toggled?: boolean;
};

// @public (undocumented)
export type SSOCredentials = {
    type: CredentialType_2 & CredentialType_2.SSO;
    ssoToken: string;
};

// @public (undocumented)
export const styles: ElementStyles;

// @public @deprecated (undocumented)
export interface System extends UserDetailsSystemProperty {
}

// @public (undocumented)
export const template: ViewTemplate<FoundationAuth, any>;

export { User }

export { UserActionHistory }

export { UserAuthenticationChangeEvent }

export { UserAuthenticationChangeType }

export { UserConfig }

export { UserPathHistory }

// @public
export class ZeroAuth extends FoundationAuth {
    // @internal (undocumented)
    connectedCallback(): Promise<void>;
    // @internal (undocumented)
    get isReady(): boolean;
    // @internal (undocumented)
    protected loadRemotes(): Promise<void>;
    // @internal (undocumented)
    zeroReady: boolean;
}

// Warnings were encountered during analysis:
//
// src/mapper/types.ts:50:3 - (ae-incompatible-release-tags) The symbol "EVENT_LOGIN_AUTH" is marked as @public, but its signature references "MESSAGE_TYPE" which is marked as @internal
// src/mapper/types.ts:51:3 - (ae-incompatible-release-tags) The symbol "EVENT_LOGIN_AUTH_ACK" is marked as @public, but its signature references "MESSAGE_TYPE" which is marked as @internal
// src/mapper/types.ts:52:3 - (ae-incompatible-release-tags) The symbol "EVENT_LOGIN_AUTH_NACK" is marked as @public, but its signature references "MESSAGE_TYPE" which is marked as @internal
// src/mapper/types.ts:53:3 - (ae-incompatible-release-tags) The symbol "EVENT_LOGIN_DETAILS_ACK" is marked as @public, but its signature references "MESSAGE_TYPE" which is marked as @internal
// src/mapper/types.ts:54:3 - (ae-incompatible-release-tags) The symbol "EVENT_LOGIN_DETAILS_NACK" is marked as @public, but its signature references "MESSAGE_TYPE" which is marked as @internal
// src/mapper/types.ts:58:3 - (ae-incompatible-release-tags) The symbol "LOGOUT_ACK" is marked as @public, but its signature references "MESSAGE_TYPE" which is marked as @internal
// src/mapper/types.ts:59:3 - (ae-incompatible-release-tags) The symbol "EVENT_LOGOUT_NACK" is marked as @public, but its signature references "MESSAGE_TYPE" which is marked as @internal
// src/mapper/types.ts:63:3 - (ae-incompatible-release-tags) The symbol "EVENT_SELF_SERVICE_PASSWORD_RESET" is marked as @public, but its signature references "MESSAGE_TYPE" which is marked as @internal
// src/mapper/types.ts:64:3 - (ae-incompatible-release-tags) The symbol "EVENT_CHANGE_USER_PASSWORD" is marked as @public, but its signature references "MESSAGE_TYPE" which is marked as @internal
// src/mapper/types.ts:65:3 - (ae-incompatible-release-tags) The symbol "EVENT_PASSWORD_RESET_ACTION" is marked as @public, but its signature references "MESSAGE_TYPE" which is marked as @internal
// src/mapper/types.ts:70:3 - (ae-incompatible-release-tags) The symbol "EVENT_NACK" is marked as @public, but its signature references "MESSAGE_TYPE" which is marked as @internal

// (No @packageDocumentation comment for this package)

```
