<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-auth](./foundation-auth.md) &gt; [configure](./foundation-auth.configure.md)

## configure() function

configure.

**Signature:**

```typescript
export declare function configure(config: Partial<AuthConfig>): Promise<typeof import("../main").FoundationAuth>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  config | Partial&lt;[AuthConfig](./foundation-auth.authconfig.md)<!-- -->&gt; | A partial AuthConfig. |

**Returns:**

Promise&lt;typeof import("../main").[FoundationAuth](./foundation-auth.foundationauth.md)<!-- -->&gt;

## Remarks

Configure the auth micro frontend for host app integration.

## Example 1

General foundation-auth configuration when the route is visited, ie. lazy loading.

```ts
title: 'Authenticate',
name: 'auth',
path: 'auth',
element: async () => {
  const { configure } = await import('@genesislcap/foundation-auth/config'); // < import from the subpath
  return configure({
    hostPath: 'auth',
    omitRoutes: ['request-account'],
    logo: myCompanyLogo,
    background: myAuthBG,
    postLoginRedirect: () => {
      // You could inspect the user here and route them based on various conditions.
      Route.path.push('dashboard');
    },
  });
},
layout: authLayout,
settings: { public: true },
childRouters: true,
```

## Example 2

Providing template options align to your host application.

```ts
title: 'Authenticate',
name: 'auth',
path: 'auth',
element: async () => {
  const { configure } = await import('@genesislcap/foundation-auth/config'); // < import from the subpath
  return configure({
    name: `nexus-app-auth`,
    // These will be merged with the packages `defaultTemplateOptions`. You will need to have these components registered in your application.
    templateOptions: {
      button: 'nexus-button',
      checkbox: 'nexus-checkbox-next',
      provider: 'template',
    },
  });
},
```

