<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-auth](./foundation-auth.md) &gt; [getAuthMachine](./foundation-auth.getauthmachine.md)

## getAuthMachine() function

Get AuthMachine from the DI container.

**Signature:**

```typescript
export declare function getAuthMachine(): AuthMachine;
```
**Returns:**

[AuthMachine](./foundation-auth.authmachine.md)

## Remarks

A utility method for host applications that are not using decorators or the DI container.

## Example


```ts
import { getAuthMachine } from '@genesislcap/foundation-auth/machine';
import { getUser, UserAuthenticationChangeEvent } from '@genesislcap/foundation-user';
...
private authMachine = getAuthMachine();
...
private user = getUser();
private unsubscribeUser = this.user.addAuthenticationChangeListener((event: UserAuthenticationChangeEvent) => {
  console.log('User authenticated?', event.detail); // < boolean === this.user.isAuthenticated
});
...
this.authMachine.send({
  type: 'login',
  params: {
    type: CredentialType.BASIC,
    username: 'JohnWick',
    password: '***********',
  },
});
```

